use std::process::Command;

// test system memory with sysbench
pub fn sysbench(accessmode: &str, operation: &str, blocksize: &str, totalsize: &str) {
    // run the fio command
    let output = Command::new("sysbench")
        .arg("memory")
        .arg(format!("--memory-access-mode={}", accessmode))
        .arg(format!("--memory-oper={}", operation))
        .arg(format!("--memory-block-size={}", blocksize))
        .arg(format!("--memory-total-size={}", totalsize))
        .arg("run")
        .output()
        .expect("Failed to execute command");

    // check that the command succeeded
    assert!(output.status.success());

    // print the test's output
    println!("{}", String::from_utf8_lossy(&output.stdout));
}
